summaryrefslogtreecommitdiff
path: root/src/reclaim
diff options
context:
space:
mode:
authorMartin Schanzenbach <schanzen@gnunet.org>2020-12-30 20:59:35 +0900
committerMartin Schanzenbach <schanzen@gnunet.org>2020-12-30 20:59:35 +0900
commitcc780f66a4fe096704ab264dce2c6b15b1cf50c5 (patch)
treea291d7b1246bf6b6bccd3e0c76b32fab058266ff /src/reclaim
parentc0465ff926f1b87a375ff320d367cbbabfddb38f (diff)
parent1f489833705ee9fc66686ed3045cc5dba56dfd39 (diff)
Merge branch 'master' of ssh://gnunet.org/gnunet
Diffstat (limited to 'src/reclaim')
-rwxr-xr-xsrc/reclaim/test_reclaim_consume.sh6
-rwxr-xr-xsrc/reclaim/test_reclaim_issue.sh2
-rwxr-xr-xsrc/reclaim/test_reclaim_revoke.sh10
3 files changed, 9 insertions, 9 deletions
diff --git a/src/reclaim/test_reclaim_consume.sh b/src/reclaim/test_reclaim_consume.sh
index 55f6ff22c..9186d3cb1 100755
--- a/src/reclaim/test_reclaim_consume.sh
+++ b/src/reclaim/test_reclaim_consume.sh
@@ -6,7 +6,7 @@ if [ -z $LOCATION ]
then
LOCATION="gnunet-config"
fi
-$LOCATION --version 1> /dev/null
+$LOCATION --version 1>/dev/null
if test $? != 0
then
echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
@@ -20,7 +20,7 @@ rm -rf `gnunet-config -c test_reclaim.conf -s PATHS -o GNUNET_HOME -f`
# (3) PKEY3.user -> PKEY4
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout >/dev/null 2>&1 && DO_TIMEOUT="timeout 30"
TEST_ATTR="test"
gnunet-arm -s -c test_reclaim.conf
@@ -32,7 +32,7 @@ TEST_KEY=$(gnunet-identity -d -e testego -q -c test_reclaim.conf)
gnunet-reclaim -e testego -a email -V john@doe.gnu -c test_reclaim.conf
gnunet-reclaim -e testego -a name -V John -c test_reclaim.conf
TICKET=$(gnunet-reclaim -e testego -i "email,name" -r $SUBJECT_KEY -c test_reclaim.conf | awk '{print $1}')
-gnunet-reclaim -e rpego -C $TICKET -c test_reclaim.conf > /dev/null 2>&1
+gnunet-reclaim -e rpego -C $TICKET -c test_reclaim.conf >/dev/null 2>&1
if test $? != 0
then
diff --git a/src/reclaim/test_reclaim_issue.sh b/src/reclaim/test_reclaim_issue.sh
index 7ab8a6980..cfddc9407 100755
--- a/src/reclaim/test_reclaim_issue.sh
+++ b/src/reclaim/test_reclaim_issue.sh
@@ -20,7 +20,7 @@ rm -rf `gnunet-config -c test_reclaim.conf -s PATHS -o GNUNET_HOME -f`
# (3) PKEY3.user -> PKEY4
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout >/dev/null 2>&1 && DO_TIMEOUT="timeout 30"
TEST_ATTR="test"
gnunet-arm -s -c test_reclaim.conf
diff --git a/src/reclaim/test_reclaim_revoke.sh b/src/reclaim/test_reclaim_revoke.sh
index ffbc7ef2b..da091a1ee 100755
--- a/src/reclaim/test_reclaim_revoke.sh
+++ b/src/reclaim/test_reclaim_revoke.sh
@@ -20,10 +20,10 @@ rm -rf `gnunet-config -c test_reclaim.conf -s PATHS -o GNUNET_HOME -f`
# (3) PKEY3.user -> PKEY4
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout >/dev/null 2&>1 && DO_TIMEOUT="timeout 30"
TEST_ATTR="test"
-gnunet-arm -s -c test_reclaim.conf 2&>1 > /dev/null
+gnunet-arm -s -c test_reclaim.conf >/dev/null 2&>1
gnunet-identity -C alice -c test_reclaim.conf
gnunet-identity -C bob -c test_reclaim.conf
gnunet-identity -C eve -c test_reclaim.conf
@@ -43,7 +43,7 @@ sleep 16
echo "Consuming $TICKET"
gnunet-reclaim -e eve -C $TICKET_EVE -c test_reclaim.conf
-if test $? == 0
+if test $? = 0
then
echo "Eve can still resolve attributes..."
gnunet-arm -e -c test_reclaim.conf
@@ -51,10 +51,10 @@ then
fi
gnunet-arm -e -c test_reclaim.conf
-gnunet-arm -s -c test_reclaim.conf 2&>1 > /dev/null
+gnunet-arm -s -c test_reclaim.conf >/dev/null 2&>1
gnunet-reclaim -e bob -C $TICKET_BOB -c test_reclaim.conf
-#gnunet-reclaim -e bob -C $TICKET_BOB -c test_reclaim.conf 2&>1 >/dev/null
+#gnunet-reclaim -e bob -C $TICKET_BOB -c test_reclaim.conf >/dev/null 2&>1
if test $? != 0
then
echo "Bob cannot resolve attributes..."